Mensaje de ubicación
curl --request POST \
--url https://whatsapp.heybot.cloud/api/v2/message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "<string>",
"type": "<string>",
"location": {
"latitude": "<string>",
"longitude": "<string>",
"name": "<string>",
"address": "<string>"
}
}
'import requests
url = "https://whatsapp.heybot.cloud/api/v2/message"
payload = {
"to": "<string>",
"type": "<string>",
"location": {
"latitude": "<string>",
"longitude": "<string>",
"name": "<string>",
"address": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to: '<string>',
type: '<string>',
location: {
latitude: '<string>',
longitude: '<string>',
name: '<string>',
address: '<string>'
}
})
};
fetch('https://whatsapp.heybot.cloud/api/v2/message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Envío de mensajes
Mensaje de ubicación
POST
/
api
/
v2
/
message
Mensaje de ubicación
Los mensajes de ubicación te permiten enviar las coordenadas de latitud y longitud de una ubicación a un usuario de WhatsApp.
string
required
The recipient’s phone number or WhatsApp ID.
string
default:"location"
required
The overall type of message being sent.
object
required
The location payload configuration.
Hide location properties
Hide location properties
string
required
The location’s latitude in decimal degrees (e.g.,
"37.44216251868683").string
required
The location’s longitude in decimal degrees (e.g.,
"-122.16153582049394").string
Opcional - The name of the location or business (e.g.,
"Philz Coffee").string
Opcional - The formatted physical address of the location (e.g.,
"101 Forest Ave, Palo Alto, CA 94301").Ejemplo
{
"to": 5219876543210,
"type": "location",
"location": {
"latitude": "<LOCATION_LATITUDE>",
"longitude": "<LOCATION_LONGITUDE>",
"name": "<LOCATION_NAME>",
"address": "<LOCATION_ADDRESS>"
}
}